package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag721;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT721Creator;

/**
 * @author wuzhe
 * @date 2023/2/28
 */
public class Tag49GCreator extends AbsTagCreate {

     private MT721Creator mt721Creator;

    public Tag49GCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt721Creator= (MT721Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag49GValue = mt721Creator.getSpecialPaymentConditionsforBeneficiary();
        mt721Creator.set("49G", tag49GValue);
    }
}
